こんにちはゲストさん。会員登録(無料)して質問・回答してみよう!

解決済みの質問

Firefox3でIE Tabに切り替えると強制終了します

WindowsVista Firefox3.0.5使用です。

http://www.womanstaff.co.jp/typing/ranking.cgi
上記サイトの左側にある「タイピングスピード計測に挑戦」を開くと表示できなかったので、IE TabでIEに切りかえると「Firefoxは動作を停止しました」となり強制終了してしまいます。
IE Tab以外のアドオンをすべて無効にして、テーマもデフォルトに戻してやってみましたが同じ結果でした。

上記サイト以外でも、Javaを使ったflashゲームで、Firefoxで表示できずIE Tabに切りかえると落ちるというところが3つほどありました。
ブックマークしていなかったので、どこのサイトかはわかりません。

Javaを使ったページで必ず起こるわけではなく、特定のところのみで起こります。
最近なったわけでなく、Firefox、Javaともに、以前のバージョンの時からです。

IE7では問題なく表示できます。

ほとんどのサイトは大丈夫ですので、それほど不便なわけではないのですが、なにが悪いのでしょうか? 
よろしくお願いいたします。

投稿日時 - 2009-01-18 18:50:19

QNo.4640770

暇なときに回答ください

質問者が選んだベストアンサー

#1です。

IE Tabのみがインストールできないのですか・・。

>ファイルのハッシュが正しくありません (ダウンロードに失敗した可能性があります)-261
このエラーから、次を確認されたのですね?
http://support.mozilla.com/ja/kb/%E3%82%A2%E3%83%89%E3%82%AA%E3%83%B3%E3%82%92%E3%82%A4%E3%83%B3%E3%82%B9%E3%83%88%E3%83%BC%E3%83%AB%E3%81%A7%E3%81%8D%E3%81%AA%E3%81%84

一応、他の項目も確認されてもおかしい場合は、新規のプロファイルを作成して、そのプロファイルを使用して起動し、インストールを試してみてください。
(プロファイルと関係ファイル)
http://firefox.geckodev.org/index.php?%E3%83%97%E3%83%AD%E3%83%95%E3%82%A1%E3%82%A4%E3%83%AB

スタート→ファイル名を指定して実行の窓に「firefox.exe -p」(-の前は半角スペース)のOKでもプロファイルマネージャーが起動すると思います。
「今後・・使用する」のチェックを外しておけば、アイコンからの起動時に切り替えが可能です。

それでもだめなら、プログラム本体やプラグインの設定ファイルが壊れたのかも知れません。

その場合はFirefoxの初期化になりますが、今のdefaultのプロファイルをバックアップコピーしておけば、ブックマークやサイトのパスワード、他の拡張機能など一定のデータは復元に使用できます。

もし、Ver2.0からのバージョンアップが、自動のバージョンアップ又は上書きインストールでしたら、そうされたが良いと思います。

Vistaでの初期化は次を参考にしてください。
http://support.mozilla.com/ja/kb/Firefox%20%E3%81%AE%E5%89%8A%E9%99%A4

なお、Javaについては、Firefoxでアクセスし、次で「バージョンの確認」をすれば、正常インストールやブラウザが認識しているかどうかの判定が出てきます。
正常、かつ、最新であれば関係ないと思います。
旧バージョンを使用するのは、セキュリティ上もお奨めできません。
http://java.com/ja/download/installed.jsp

投稿日時 - 2009-01-18 22:51:27

お礼

再度ありがとうございます。

サポートページの「壊れた拡張設定ファイル」を参考に拡張設定ファイルの再生成を行ったところ、IE Tabの再インストールができました。
慌てていたので見逃していました。^^;

IE Tabを再インストールしても変わりませんでした。

Javaの再インストールと、Firefoxの再インストールを行って改善されなければ、あきらめてIE7で開くことにします。

どうもありがとうございました。

投稿日時 - 2009-01-19 16:15:23

このQ&Aは役に立ちましたか?

1人が「このQ&Aが役に立った」と投票しています

回答(4)

ANo.4

>Javaの入れ直しですが、プログラムのアンインストールと変更から削除して、サイトからダウンロードしてインストール、でよろしいでしょうか?

基本的にはそれで良いです。
あと、Firefoxのクリーンインストールもしましょう。
1)ブックマークをバックアップ
2)Firefoxをアンインストール
3)インストール先を削除
4)設定フォルダを削除(WindowsXPの例)
C:\Documents and Settings\アカウント\Application Data\Mozilla\Firefox
C:\Documents and Settings\アカウント\Local Settings\Application Data\Mozilla\Firefox
5)Firefoxをインストール
6)ブックマークのインポートなど

投稿日時 - 2009-01-19 03:01:01

お礼

再度ありがとうございます。

サポートページの「壊れた拡張設定ファイル」を参考に拡張設定ファイルの再生成を行ったところ、IE Tabは再インストールできましたが、結果は変わりませんでした。

Javaの再インストールと、Firefoxの再インストールを行って改善されなければ、その時だけIE7を使うことにします。

ありがとうございました。

投稿日時 - 2009-01-19 16:20:55

ANo.2

こちらXPで使用ですが問題ないですよ。

Javaを入れ直してみたらどうですか?
http://java.com/ja/

投稿日時 - 2009-01-18 20:25:07

お礼

回答ありがとうございます。

Javaを入れ直す前に、IE Tabを入れ直そうとしたら、新たなトラブルが起きてしまいました。^^;

Javaの入れ直しですが、プログラムのアンインストールと変更から削除して、サイトからダウンロードしてインストール、でよろしいでしょうか?

投稿日時 - 2009-01-18 22:37:52

XPで、ちょっと試してみました。

Javaは最新のVer6 update11ですが、FirefoxではJavaのエラー項目がかなり出て、タイプ画面にも行けませんでした。
Firefoxを意識して作成されてないのかも知れません。

IE TabにてIE6に切り替えてみたら、最後の判定まで可能でした。

>最近なったわけでなく、Firefox、Javaともに、以前のバージョンの時からです。
これがちょっと気になりますが、他のサイトも含めて、IE7でOKでしたら、IE Tabの不具合のようにも思えますが、IE Tabの入れ替えは試されましたか?

なお、私のIE Tabのバージョンは、1.5.20081203です。

投稿日時 - 2009-01-18 20:00:45

補足

少し情報を間違えて記述してしまいましたので補足いたします。

「原因:インストールパッケージが正しくありません-207」と出るのは、保存したリンク先をドラッグ&ドロップした時です。

サイトからダウンロードしようとした時は、「ファイルのハッシュが正しくありません (ダウンロードに失敗した可能性があります)-261」とエラーが出ます。
「サードパーティの Cookie も保存する 」にチェックが入っていないとこのエラーが出る場合があるようなのですが、チェックは入っています。

投稿日時 - 2009-01-18 22:07:01

お礼

回答ありがとうございます。

IE Tabのバージョンは最新のものだったのですが、一応入れ替えようと削除してインストールしようとしたら、「Firefoxはファイルをインストールできませんでした。」「原因:インストールパッケージが正しくありません-207」となり、インストールできませんでした。

検索すると、インストール先を名前を付けて保存し、Firefoxのウィンドウにドラッグ&ドロップする。
それでもだめなら、アドオンを開いてその上にドラッグ&ドロップすると書いてあったのですが、どちらを試してみても同じエラーがでてインストールできません。

ほかのアドオンで試してみると、こちらはちゃんとインスールできます。

どうすればよいのでしょうか??

投稿日時 - 2009-01-18 22:03:20

あなたにオススメの質問